### Type parameters

- T

### Hierarchy

- Lazy

## Index

### Accessors

- hasValue
- value

### Methods

- for
- from

## Accessors

### hasValue

- get hasValue(): boolean

- - Defined in lazy.ts:42

  #### Returns boolean

### value

- get value(): T

- - Defined in lazy.ts:46

  #### Returns T

## Methods

### Static for

- for<T>(value: T): Lazy<T>

- - Defined in lazy.ts:36

  #### Type parameters

  - T

  #### Parameters

  - value: T

  #### Returns Lazy<T>

### Static from

- from<T, A>(factory: function, ...args: A): Lazy<T>

- - Defined in lazy.ts:29

  #### Type parameters

  - T
  - A: any[]

  #### Parameters

  - factory: function
    - - (...args: A): T

      - #### Parameters

        - Rest ...args: A

        #### Returns T

  - Rest ...args: A

  #### Returns Lazy<T>

Generated using TypeDoc